Bug 1298354 - Backport test-skeleton.c conversions.
Backport test-skeleton.c conversions.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc (Show other bugs)
7.3
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Martin Sebor
Arjun Shankar
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-13 16:02 EST by Carlos O'Donell
Modified: 2016-11-03 04:29 EDT (History)
6 users (show)

See Also:
Fixed In Version: glibc-2.17-125.el7
Doc Type: No Doc Update
Doc Text:
undefined
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 04:29:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carlos O'Donell 2016-01-13 16:02:26 EST
In order to increase the robustness of the testsuite we should backport Arjun's upstream conversions to test-skeleton.c as this gives us better timeout control over tests. Without this patch all the tests changed might never terminate and need to wait for the build to timeout.

commit 29955b5d9658b02d3a678d1f785db3d1e63184ca
Author: Arjun Shankar <arjun.is@lostca.se>
Date:   Wed Nov 5 15:24:08 2014 +0530

    Modify several tests to use test-skeleton.c
    
    This patch modifies several test cases to use test-skeleton.c.
    It was generated by a bash script written for this purpose and
    thus excludes several other tests which I deemed worth a visual
    inspection before making the change.
    
    I intend to follow up with individual patches to the tests
    skipped by the script.
    
    The script itself resides at http://git.io/WODAmg and should
    reproduce this very patch when run against master.
Comment 2 Mike McCune 2016-03-28 19:10:48 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 6 errata-xmlrpc 2016-11-03 04:29:40 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2573.html

Note You need to log in before you can comment on or make changes to this bug.